import GDPRHandler from "./GDPRHandler";

export default () => {
    if (document.body.aa_disable_gdpr === true) {
        return;
    }

    window.gtag = window.gtag || function() {
        (window.dataLayer = window.dataLayer || []).push(arguments);
    };

    let sections = {}

    sections.analytics = {
        enable: () => {},
        disable: () => {}
    };
    
    sections.marketing = {
        enable: () => {},
        disable: () => {}
    };

    let handler = new GDPRHandler({
        sections: sections,
    });

    handler.init();
}
